//
//  oh_hw1_fmViewController.h
//  oh_hw1_fm
//
//  Created by Jieun Oh on 1/7/10.
//  Copyright Stanford University 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#include "fm.h"

struct AandF {
	UILabel * xa;
	UILabel * ya;
	UILabel * cf;
	UILabel * mf;
};

@interface oh_hw1_fmViewController : UIViewController {

	IBOutlet UILabel * myAccelX;
	IBOutlet UILabel * myAccelY;
	IBOutlet UILabel * myCarrierFreq;
	IBOutlet UILabel * myModulatorFreq;
	IBOutlet UILabel * myModIndex;
	IBOutlet UISlider * mySlider;
	IBOutlet UIButton * myButton;
	AandF aandf;
	// fm *f;
}

// action methods
-(IBAction)moveSlider:(UISlider *)sender;
-(IBAction)moveSwitch:(UISwitch *)sender;
-(IBAction)triggerSoundOn:(UIButton *)sender;
-(IBAction)triggerSoundOff:(UIButton *)sender;



// set properties
@property (nonatomic, retain) IBOutlet UILabel * myAccelX;
@property (nonatomic, retain) IBOutlet UILabel * myAccelY;
@property (nonatomic, retain) IBOutlet UILabel * myCarrierFreq;
@property (nonatomic, retain) IBOutlet UILabel * myModulatorFreq;
@property (nonatomic, retain) IBOutlet UILabel * myModIndex;
@property (nonatomic, retain) IBOutlet UISlider * mySlider;
@property (nonatomic, retain) IBOutlet UIButton * myButton;



@end

