//
//  fm.mm
//  oh_hw1_fm
//
//  Created by Jieun Oh on 1/7/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import "fm.h"

fm * fm::ourInstance = NULL;
fm * fm::instance()
{
	if( ourInstance == NULL ) ourInstance = new fm();
    return ourInstance;	
}

fm::fm(): 
	m_fcarr(440.0),
	m_fmod(40.0),
	m_mi(1.0), 
	m_c(true)
{
}

fm::~fm()
{
}



void fm::setFCarr(float fcarr)
{
	m_fcarr = fcarr;
}

void fm::setFMod(float fmod)
{
	m_fmod = fmod;
}

void fm::setModIndex (float mi)
{
	m_mi = mi;
}

void fm::setContinuous (bool c)
{
	m_c = c;
}


float fm::getFCarr()
{
	return m_fcarr;
}

float fm::getFMod()
{
	return m_fmod;
}

float fm::getModIndex()
{
	return m_mi;
}

bool fm::isContinuous()
{
	return m_c;
}

