//
//  fm.h
//  oh_hw1_fm
//
//  Created by Jieun Oh on 1/7/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#ifndef __FM__
#define __FM__

class fm {

public:
	
	static fm *instance();
	static fm *ourInstance;

	void setFCarr(float fcarr);
	void setFMod(float fmod);
	
	void setModIndex (float mi);
	void setContinuous (bool c);
	
	
	float getFCarr();
	float getFMod();
	
	float getModIndex();
	bool isContinuous();
	
private:
	
	fm();
	~fm();
	
	float m_fcarr; // carrier frequency
	float m_fmod; // modulator frequency
	
	float m_mi; // modulation index
	bool m_c;   // switch state (on=continuous, off=trigger)
	
};

#endif
